%define pypi_name	astroid

%bcond_with tests

Name:		python-%{pypi_name}
Summary:	Extension of compiler.ast Python module
Version:	3.3.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Python
Url:		https://pypi.python.org/pypi/astroid
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%package -n	python3-%{pypi_name}
Summary:	Extension of compiler.ast Python module
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/astroid/tests

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 3.3.8-2.mga10
+ Revision: 2153766
- rebuild for python 3.13

* Thu Jan 02 2025 daviddavid <daviddavid> 3.3.8-1.mga10
+ Revision: 2134942
- new version: 3.3.8

* Sun Dec 15 2024 papoteur <papoteur> 3.3.6-1.mga10
+ Revision: 2125350
- new version 3.3.6

* Mon May 20 2024 papoteur <papoteur> 3.2.2-1.mga10
+ Revision: 2064900
- new version 3.2.2

* Wed Dec 20 2023 tv <tv> 3.0.1-2.mga10
+ Revision: 2020290
- Rebuild for python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 3.0.1-1.mga10
+ Revision: 2000069
- new 3.0.1

* Sun Jan 15 2023 wally <wally> 2.13.2-1.mga9
+ Revision: 1933520
- new version 2.13.2

* Thu Sep 08 2022 neoclust <neoclust> 2.12.9-1.mga9
+ Revision: 1885864
- New version 2.12.9

* Mon Sep 05 2022 neoclust <neoclust> 2.12.5-1.mga9
+ Revision: 1884011
- New version 2.12.5

* Tue Mar 29 2022 umeabot <umeabot> 2.9.3-3.mga9
+ Revision: 1831944
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.9.3-2.mga9
+ Revision: 1772361
- rebuild for python3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 2.9.3-1.mga9
+ Revision: 1771088
- version 2.9.3

* Sun Oct 03 2021 wally <wally> 2.8.0-1.mga9
+ Revision: 1748668
- new version 2.8.0

* Fri Aug 27 2021 wally <wally> 2.7.2-1.mga9
+ Revision: 1742807
- new version 2.7.2

* Sun Jun 20 2021 joequant <joequant> 2.5.8-1.mga9
+ Revision: 1731396
- update reqs
- update to 2.5.8
- update to 2.5.8

* Thu Apr 01 2021 joequant <joequant> 2.5.2-1.mga9
+ Revision: 1712419
- update to 2.5.2 / python 3.9

* Mon Mar 22 2021 daviddavid <daviddavid> 2.4.2-2.mga9
+ Revision: 1707440
- rebuild for python 3.9

* Tue Jul 21 2020 wally <wally> 2.4.2-1.mga8
+ Revision: 1607741
- new version 2.4.2
- loosen requires (mga#26977)

* Wed May 06 2020 wally <wally> 2.4.1-1.mga8
+ Revision: 1581317
- new version 2.4.1

* Sun Feb 16 2020 umeabot <umeabot> 2.2.5-3.git20190908.2.mga8
+ Revision: 1531022
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 2.2.5-3.git20190908.1.mga8
+ Revision: 1438527
- udpate to latest git snapshot with python3.8 fixes
- drop python2 support
- clean (build)requires
- rebuild for python3.8

* Fri Apr 05 2019 shlomif <shlomif> 2.2.5-1.mga7
+ Revision: 1386128
- New version 2.2,5

* Mon Jan 07 2019 shlomif <shlomif> 2.1.0-1.mga7
+ Revision: 1350872
- Rebuild for python3 3.7

* Sat Oct 20 2018 tv <tv> 2.0.4-1.mga7
+ Revision: 1323143
- BR python3-pytest-runner
- remove BR on py2 modules
- BR python3-pytest
+ shlomif <shlomif>
- New version 2.0.4 - no py2

* Thu Sep 20 2018 umeabot <umeabot> 1.6.1-2.mga7
+ Revision: 1288246
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 shlomif <shlomif> 1.6.1-1.mga7
+ Revision: 1197428
- New version 1.6.1

* Sat Nov 04 2017 shlomif <shlomif> 1.5.3-1.mga7
+ Revision: 1175877
- New version 1.5.3

* Sat Aug 05 2017 pterjan <pterjan> 1.4.5-2.mga7
+ Revision: 1135313
- Rebuild for python 3.6

* Thu Apr 28 2016 shlomif <shlomif> 1.4.5-1.mga6
+ Revision: 1007186
- New version 1.4.5

* Thu Dec 17 2015 shlomif <shlomif> 1.4.1-1.mga6
+ Revision: 911412
- New version 1.4.1

* Thu Oct 08 2015 daviddavid <daviddavid> 1.3.8-2.mga6
+ Revision: 887358
- rebuild for python 3.5
- improve the %%check section
- use python2 macros

* Wed Sep 02 2015 shlomif <shlomif> 1.3.8-1.mga6
+ Revision: 872322
- New version 1.3.8

* Mon Oct 20 2014 grenoya <grenoya> 1.2.1-1.mga5
+ Revision: 792188
- new version 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 747808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-7.mga5
+ Revision: 728067
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 687888
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.2-5.mga5
+ Revision: 660019
- new version 1.2

* Sat May 31 2014 pterjan <pterjan> 1.1-5.mga5
+ Revision: 629723
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1-4.mga5
+ Revision: 628458
- Rebuild for new Python

* Sat May 10 2014 grenoya <grenoya> 1.1-3.mga5
+ Revision: 621835
- disable tests for python2 (pass in uirt)
- disable tests for python3
- fix tests for python3
- fix python3 tests
- change tests call so it doesn't download logilab-common but use our version
- separate package name and tarball name
- add python-logilab-common as BR (needed during tests)
- new version 1.1
+ philippem <philippem>
- make tests output less verbose (remove warnings)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 542938
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-2.mga4
+ Revision: 498120
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490414
- new version 1.0.0
- adaptation of the spec file to new name
- logilab-astng renamed in astroid

* Wed Oct 02 2013 grenoya <grenoya> 0.24.3-1.mga4
+ Revision: 490382
- new version 0.24.3
- add python3 package

* Sun Jan 13 2013 umeabot <umeabot> 0.24.1-2.mga3
+ Revision: 379053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.24.1-1.mga3
+ Revision: 319860
- new version 0.24.1

* Mon Aug 20 2012 grenoya <grenoya> 0.24.0-1.mga3
+ Revision: 282676
- new version 0.24.0

* Sat Oct 08 2011 grenoya <grenoya> 0.23.0-1.mga2
+ Revision: 152983
- update to new version 0.23.0

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-2.mga2
+ Revision: 140711
- increment mkrel
- remove references to python 2.5

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-1.mga2
+ Revision: 140579
-clean spec
- imported package python-logilab-astng

